<?php

namespace DAO\Store;


class StorePaymentModel extends \DAO\AbstractModel
{


    

    /**
     * 表名
     *
     * @var string
     */
    protected $_tableName = 'han_store_payment';

    /**
     * 主键
     *
     * @var string
     */
    protected $_primaryKey = 'payment_id';

    public function init()
    {
    }


    public function getStorePaymentCount($where) {
         return $this->getCountByWhere($where);
    }

    /**
     * 类实例
     *
     * @var \DAO\UserModel
     */
    private static $_instance = null;

    /**
     * 获取类实例
     *
     * @return \DAO\UserModel
     */
    public static function getInstance($dbName = \Our\DbNameConst::salveDBConnectName)
    {
        if (!(self::$_instance instanceof self)) {
            self::$_instance = new self($dbName);
        }

        return self::$_instance;
    }


}
